VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::EnumerationStub Class Reference

Remote stub implementation of the Enumeration API service. More...

Inherits vmware::vapi::metadata::metamodel::Enumeration.

List of all members.

## Public Member Functions
| EnumerationStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
vmware.vapi.metadata.metamodel.EnumerationInfo | Get (string enumerationId)
| Retrieves information about the enumeration element corresponding to enumerationId .
vmware.vapi.metadata.metamodel.EnumerationInfo | Get (string enumerationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the enumeration element corresponding to enumerationId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.EnumerationInfo > | GetAsync (string enumerationId)
| Retrieves information about the enumeration element corresponding to enumerationId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.EnumerationInfo > | GetAsync (string enumerationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the enumeration element corresponding to enumerationId .

## Detailed Description

Remote stub implementation of the Enumeration API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::EnumerationStub::EnumerationStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vapi.metadata.metamodel.EnumerationInfo vmware::vapi::metadata::metamodel::EnumerationStub::Get | ( | string | enumerationId | ) | `[inline]`

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implements vmware::vapi::metadata::metamodel::Enumeration.

vmware.vapi.metadata.metamodel.EnumerationInfo vmware::vapi::metadata::metamodel::EnumerationStub::Get | ( | string | enumerationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::EnumerationStub::GetAsync | ( | string | enumerationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::EnumerationStub::GetAsync | ( | string | enumerationId | ) | `[inline]`

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::EnumerationStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::EnumerationStub::List | ( |  | ) | `[inline]`

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::EnumerationStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implements vmware::vapi::metadata::metamodel::Enumeration.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::EnumerationStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implements vmware::vapi::metadata::metamodel::Enumeration.

The documentation for this class was generated from the following file:

- EnumerationStub.cs